Issue 77837

Summary: Document crashes OoO when it is closed or when bibliography is deleted
Product: Writer Reporter: stephencorlett <corlett.stephen>
Component: editingAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Trivial    
Priority: P2 CC: issues, pescetti
Version: OOo 2.2   
Target Milestone: ---   
Hardware: All   
OS: Windows XP   
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---
Attachments:
Description Flags
Document which crashes OoO when closed none

Description stephencorlett 2007-05-26 17:04:28 UTC
The attached is a stripped down version of a document which crashes OoO whenever
it is closed.  OoO also crashes if an attempt is made to delete the bibliography.

I've had a quick look at the XML, and I think the problem may be that in the
course of trying to understand outline numbering I've accumulated a mess of
nested lists.  But I don't understand the document structure well enough to be
sure what I'm looking at.
Comment 1 stephencorlett 2007-05-26 17:05:34 UTC
Created attachment 45419 [details]
Document which crashes OoO when closed
Comment 2 michael.ruess 2007-05-29 08:35:12 UTC
Reassigned to ES.
Comment 3 eric.savary 2007-05-29 11:42:39 UTC
WOW! A great one! Crash reprot sent (track my e-mail address + issue number as
summary). When not closing but reloading, I get an "Abnormal program
termination!". Long time no see...

Tested with m211.
Comment 4 andreas.martens 2008-01-09 10:04:59 UTC
A complex layout problem: a footnote contains two indices (bibliographic and
alphabetical).
I debugged a little bit, IMHO the document is loaded well and the layout frames
are created correctly but during the formatting something went wrong.
I got an assert "Layoutgerüst wacklig" during formatting
(SwCntntFrm::MoveFtnCntFwd(..))
It needs more time to solve =>target 3.0
Comment 5 frank.meies 2008-04-22 12:51:25 UTC
.